/**### Дане завдання не обов'язкове для виконання

## Теоретичні питання

1. Напишіть, як ви розумієте рекурсію. Навіщо вона використовується на практиці?*/

// 1.Рекурсія це прийом програмування,який часто використовуєься визовом функції в середині функції самої функції

/**## Завдання

Реалізувати функцію підрахунку факторіалу числа.
    Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

#### Технічні вимоги:

 * - Отримати за допомогою модального вікна браузера число, яке введе користувач.
 * - За допомогою функції порахувати факторіал числа, яке ввів користувач і вивести його на екран.
 * - Використовувати синтаксис ES6 для роботи зі змінними та функціями.

#### Необов'язкове завдання підвищеної складності
- Після введення даних додати перевірку їхньої коректності.
    Якщо користувач не ввів число, або при введенні вказав не число, - запитати число заново
(при цьому значенням для нього повинна бути введена раніше інформація).
*/


let num = +prompt("Введите ваше число")
while(!Number(num) || num === " "){
    num = +prompt("Введите снова ваше число")
}
let factorial = (num) => {
    return num ? num * factorial(num - 1) : 1

}
console.log(factorial(num));
